package com.zehong.dangerousdevicereport.dao;


import com.zehong.dangerousdevicereport.entity.SafetyDeviceInfo;

import java.util.List;

/**
 * 企业安全监测设备dao接口
 * 
 * @author zehong
 * @date 2022-04-12
 */
public interface SafetyDeviceInfoDao {
    /**
     * 查询企业安全监测设备
     * 
     * @param id 企业安全监测设备ID
     * @return 企业安全监测设备
     */
    SafetyDeviceInfo selectSafetyDeviceInfoById(String id);

    /**
     * 查询企业安全监测设备列表
     * 
     * @param safetyDeviceInfo 企业安全监测设备
     * @return 企业安全监测设备集合
     */
    List<SafetyDeviceInfo> selectSafetyDeviceInfoList(SafetyDeviceInfo safetyDeviceInfo);

    /**
     * 新增企业安全监测设备
     * 
     * @param safetyDeviceInfo 企业安全监测设备
     * @return 结果
     */
    int insertSafetyDeviceInfo(SafetyDeviceInfo safetyDeviceInfo);

    /**
     * 修改企业安全监测设备
     * 
     * @param safetyDeviceInfo 企业安全监测设备
     * @return 结果
     */
    int updateSafetyDeviceInfo(SafetyDeviceInfo safetyDeviceInfo);

    /**
     * 删除企业安全监测设备
     * 
     * @param id 企业安全监测设备ID
     * @return 结果
     */
    int deleteSafetyDeviceInfoById(String id);

    /**
     * 批量删除企业安全监测设备
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteSafetyDeviceInfoByIds(String[] ids);
}
