package com.zehong.dangerousdevicereport.dao;


import com.zehong.dangerousdevicereport.entity.SysScheduledCron;

import java.util.List;

/**
 * 定时任务 Repository
 */
public interface SysScheduledCronRepository {


    /**
     * 获取所有定时任务
     * @return
     */
    List<SysScheduledCron> findAll();

    /**
     * 根据定时名称获取定时
     * @param cronKey
     * @return
     */
    SysScheduledCron findByCronKey(String cronKey);

    /**
     * 更新定时任务cron表达式
     *
     * @param newCron
     * @param cronKey
     * @return
     */
    int updateCronExpressionByCronKey(String newCron, String cronKey);

    /**
     * 更新定时任务状态
     *
     * @param status
     * @param cronKey
     * @return
     */
    int updateTaskStatusByCronKey(Integer status, String cronKey);
}
