package com.zehong.dangerousdevicereport.service;

import java.util.List;
import com.zehong.dangerousdevicereport.entity.TAlarmInfo;

/**
 * 【报警】Service接口
 * 
 * @author zehong
 * @date 2022-04-12
 */
public interface ITAlarmInfoService {
    /**
     * 查询【报警】
     * 
     * @param id 【报警】ID
     * @return 【报警】
     */
    TAlarmInfo selectTAlarmInfoById(String id);

    /**
     * 查询【报警】列表
     * 
     * @param tAlarmInfo 【报警】
     * @return 【报警】集合
     */
    List<TAlarmInfo> selectTAlarmInfoList(TAlarmInfo tAlarmInfo);

    /**
     * 新增【报警】
     * 
     * @param tAlarmInfo 【报警】
     * @return 结果
     */
    int insertTAlarmInfo(TAlarmInfo tAlarmInfo);

    /**
     * 修改【报警】
     * 
     * @param tAlarmInfo 【报警】
     * @return 结果
     */
    int updateTAlarmInfo(TAlarmInfo tAlarmInfo);

    /**
     * 批量删除【报警】
     * 
     * @param ids 需要删除的【报警】ID
     * @return 结果
     */
    int deleteTAlarmInfoByIds(String[] ids);

    /**
     * 删除【报警】信息
     * 
     * @param id 【报警】ID
     * @return 结果
     */
    int deleteTAlarmInfoById(String id);

    /**
     * 根据设备编号查询报警信息
     * @param deviceNum 设备编号
     * @return
     */
    TAlarmInfo selectAlarmInfoByDeviceNum(String deviceNum);
}
